See <https://jenkins.debian.net/job/haskell-package-plan/2415/display/redirect>

------------------------------------------
[...truncated 137.69 KB...]
Setting up libparams-validate-perl (1.29-1) ...
Setting up libmoo-perl (2.003004-1) ...
Setting up libb-hooks-endofscope-perl (0.24-1) ...
Setting up libpackage-stash-perl (0.37-1) ...
Setting up libgetopt-long-descriptive-perl (0.103-2) ...
Setting up libnamespace-clean-perl (0.27-1) ...
Setting up licensecheck (3.0.31-2) ...
Setting up dh-autoreconf (19) ...
Setting up libicu-le-hb0:amd64 (1.0.3+git161113-5) ...
Setting up libwww-perl (6.35-2) ...
Setting up libicu60:amd64 (60.2-6) ...
Setting up liblwp-protocol-https-perl (6.07-2) ...
Setting up libxml2:amd64 (2.9.4+dfsg1-7+b1) ...
Setting up libcroco3:amd64 (0.6.12-2) ...
Setting up libxml-parser-perl (2.44-2+b3) ...
Setting up shared-mime-info (1.9-2) ...
Setting up libxml-libxml-perl (2.0132+dfsg-2) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX::Parser 
with priority 50...
update-perl-sax-parsers: Registering Perl SAX parser XML::LibXML::SAX with 
priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up libxml-sax-expat-perl (0.51-1) ...
update-perl-sax-parsers: Registering Perl SAX parser XML::SAX::Expat with 
priority 50...
update-perl-sax-parsers: Updating overall Perl SAX parser modules info file...
Replacing config file /etc/perl/XML/SAX/ParserDetails.ini with new version
Setting up gettext (0.19.8.1-6+b1) ...
Setting up libsoap-lite-perl (1.27-1) ...
Setting up intltool-debian (0.35.0+20060710.4) ...
Setting up libxml-simple-perl (2.25-1) ...
Setting up libxmlrpc-lite-perl (0.717-1) ...
Setting up lintian (2.5.96) ...
Setting up po-debconf (1.0.20) ...
Setting up debhelper (11.3.5) ...
Setting up equivs (2.1.0) ...
Setting up dh-strip-nondeterminism (0.042-1) ...
Processing triggers for libc-bin (2.27-5) ...
Processing triggers for ca-certificates (20180409) ...
Updating certificates in /etc/ssl/certs...
0 added, 0 removed; done.
Running hooks in /etc/ca-certificates/update.d...
done.
Processing triggers for systemd (239-7) ...
Reading package lists...
Building dependency tree...
Reading state information...
dctrl-tools is already the newest version (2.24-2+b1).
dctrl-tools set to manually installed.
libdpkg-perl is already the newest version (1.19.0.5).
libdpkg-perl set to manually installed.
libipc-run-perl is already the newest version (20180523.0-1).
libipc-run-perl set to manually installed.
liblist-moreutils-perl is already the newest version (0.416-1+b3).
liblist-moreutils-perl set to manually installed.
patchutils is already the newest version (0.3.4-2).
patchutils set to manually installed.
The following additional packages will be installed:
  libbsd-dev libffi-dev libgmp-dev libgmpxx4ldbl libncurses-dev
  libncurses5-dev
Suggested packages:
  ghc-prof ghc-doc haskell-doc llvm-3.9 gmp-doc libgmp10-doc libmpfr-dev
  ncurses-doc
The following NEW packages will be installed:
  cabal-install ghc libbsd-dev libffi-dev libfile-slurp-perl libgmp-dev
  libgmpxx4ldbl libncurses-dev libncurses5-dev libtext-patch-perl
0 upgraded, 10 newly installed, 0 to remove and 0 not upgraded.
Need to get 60.7 MB of archives.
After this operation, 643 MB of additional disk space will be used.
Get:1 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libgmpxx4ldbl 
amd64 2:6.1.2+dfsg-3 [22.7 kB]
Get:2 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libgmp-dev amd64 
2:6.1.2+dfsg-3 [632 kB]
Get:3 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libffi-dev amd64 
3.2.1-8 [156 kB]
Get:4 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libbsd-dev amd64 
0.9.1-1 [219 kB]
Get:5 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libncurses-dev 
amd64 6.1+20180714-1 [334 kB]
Get:6 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libncurses5-dev 
amd64 6.1+20180714-1 [944 B]
Get:7 http://cdn-fastly.deb.debian.org/debian sid/main amd64 ghc amd64 8.2.2-6 
[56.1 MB]
Get:8 http://cdn-fastly.deb.debian.org/debian sid/main amd64 cabal-install 
amd64 2.0.0.1-1 [3220 kB]
Get:9 http://cdn-fastly.deb.debian.org/debian sid/main amd64 libfile-slurp-perl 
all 9999.19-6 [43.2 kB]
Get:10 http://cdn-fastly.deb.debian.org/debian sid/main amd64 
libtext-patch-perl all 1.8-2 [8784 B]
Fetched 60.7 MB in 3s (24.3 MB/s)
E: Can not write log (Is /dev/pts mounted?) - posix_openpt (19: No such device)
Selecting previously unselected package libgmpxx4ldbl:amd64.
(Reading database ... 28986 files and directories currently installed.)
Preparing to unpack .../0-libgmpxx4ldbl_2%3a6.1.2+dfsg-3_amd64.deb ...
Unpacking libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-3) ...
Selecting previously unselected package libgmp-dev:amd64.
Preparing to unpack .../1-libgmp-dev_2%3a6.1.2+dfsg-3_amd64.deb ...
Unpacking libgmp-dev:amd64 (2:6.1.2+dfsg-3) ...
Selecting previously unselected package libffi-dev:amd64.
Preparing to unpack .../2-libffi-dev_3.2.1-8_amd64.deb ...
Unpacking libffi-dev:amd64 (3.2.1-8) ...
Selecting previously unselected package libbsd-dev:amd64.
Preparing to unpack .../3-libbsd-dev_0.9.1-1_amd64.deb ...
Unpacking libbsd-dev:amd64 (0.9.1-1) ...
Selecting previously unselected package libncurses-dev:amd64.
Preparing to unpack .../4-libncurses-dev_6.1+20180714-1_amd64.deb ...
Unpacking libncurses-dev:amd64 (6.1+20180714-1) ...
Selecting previously unselected package libncurses5-dev:amd64.
Preparing to unpack .../5-libncurses5-dev_6.1+20180714-1_amd64.deb ...
Unpacking libncurses5-dev:amd64 (6.1+20180714-1) ...
Selecting previously unselected package ghc.
Preparing to unpack .../6-ghc_8.2.2-6_amd64.deb ...
Unpacking ghc (8.2.2-6) ...
Selecting previously unselected package cabal-install.
Preparing to unpack .../7-cabal-install_2.0.0.1-1_amd64.deb ...
Unpacking cabal-install (2.0.0.1-1) ...
Selecting previously unselected package libfile-slurp-perl.
Preparing to unpack .../8-libfile-slurp-perl_9999.19-6_all.deb ...
Unpacking libfile-slurp-perl (9999.19-6) ...
Selecting previously unselected package libtext-patch-perl.
Preparing to unpack .../9-libtext-patch-perl_1.8-2_all.deb ...
Unpacking libtext-patch-perl (1.8-2) ...
Setting up libfile-slurp-perl (9999.19-6) ...
Setting up libbsd-dev:amd64 (0.9.1-1) ...
Setting up libffi-dev:amd64 (3.2.1-8) ...
Processing triggers for libc-bin (2.27-5) ...
Processing triggers for man-db (2.8.4-2) ...
Setting up libgmpxx4ldbl:amd64 (2:6.1.2+dfsg-3) ...
Setting up libncurses-dev:amd64 (6.1+20180714-1) ...
Setting up libtext-patch-perl (1.8-2) ...
Setting up libgmp-dev:amd64 (2:6.1.2+dfsg-3) ...
Setting up ghc (8.2.2-6) ...
update-alternatives: using /usr/bin/runghc to provide /usr/bin/runhaskell 
(runhaskell) in auto mode
update-alternatives: using /usr/bin/ghc to provide /usr/bin/haskell-compiler 
(haskell-compiler) in auto mode
Setting up libncurses5-dev:amd64 (6.1+20180714-1) ...
Setting up cabal-install (2.0.0.1-1) ...
Processing triggers for libc-bin (2.27-5) ...
Config file path source is default config file.
Config file /root/.cabal/config not found.
Writing default configuration to /root/.cabal/config
Warning: 'nslookup' tool missing - can't locate mirrors
Downloading the latest package list from hackage.haskell.org
Reading packages.txt...
Reading lts.config...
Reading available versions...
Reading available binary versions...
Calculating availability...
Checking for outdated entries...
Updated:  HDBC-odbc is 2.3.1.1 in the archive but 2.5.0.1 exists here.
Added:    concurrent-extra is 0.7.0.12 here but does not exist in the archive.
OLD:      git-annex is 6.20180719 here but 6.20180807 exists in the archive.
Updated:  hsini is 0.5.1.1 in the archive but 0.5.1.2 exists here.
Added:    keysafe is 0.20180326 here but does not exist in the archive.
Added:    network-uri-flag is 0.1 here but does not exist in the archive.
Added:    pandoc-citeproc-preamble is 1.2.3 here but does not exist in the 
archive.
Added:    pgp-wordlist is 0.1.0.2 here but does not exist in the archive.
OLD:      propellor is 5.4.0 here but 5.4.1 exists in the archive.
Added:    relational-record is 0.2.2.0 here but does not exist in the archive.
Added:    system-posix-redirect is 1.1.0.1 here but does not exist in the 
archive.
Updated:  uuagc is 0.9.42.3 in the archive but 0.9.52.1 exists here.
(Re-)Creating local hackage "repository"...
Reading 01-index.tar...
Removing package.json files...
Adding additional packages...
Replacing aeson-extra/0.4.1.0/aeson-extra.cabal
Replacing binary-parsers/0.2.3.0/binary-parsers.cabal
Replacing cryptohash-md5/0.11.100.1/cryptohash-md5.cabal
Replacing cryptohash-sha1/0.11.100.1/cryptohash-sha1.cabal
Replacing cryptohash-sha256/0.11.101.0/cryptohash-sha256.cabal
Replacing cryptonite-conduit/0.2.2/cryptonite-conduit.cabal
Replacing darcs/2.14.0/darcs.cabal
Replacing diagrams-cairo/1.4/diagrams-cairo.cabal
Replacing ed25519/0.0.5.0/ed25519.cabal
Replacing edit-distance/0.2.2.1/edit-distance.cabal
Adding esqueleto/2.5.999.1/esqueleto.cabal
Replacing hackage-security/0.5.3.0/hackage-security.cabal
Adding hedgewars-server/0.1/hedgewars-server.cabal
Replacing io-streams/1.5.0.1/io-streams.cabal
Replacing kan-extensions/5.1/kan-extensions.cabal
Replacing lzma/0.0.0.3/lzma.cabal
Replacing MonadRandom/0.5.1/MonadRandom.cabal
Replacing path/0.6.1/path.cabal
Replacing snap-core/1.0.3.2/snap-core.cabal
Replacing snap-server/1.1.0.0/snap-server.cabal
Replacing tasty-golden/2.3.1.3/tasty-golden.cabal
Replacing text-show/3.7.2/text-show.cabal
Replacing uuid/1.3.13/uuid.cabal
Replacing uuid-types/1.0.3/uuid-types.cabal
Replacing wai-app-file-cgi/3.1.4/wai-app-file-cgi.cabal
Applying patches to repository .cabal files...
Patching aeson-extra.cabal (version 0.4.1.0)
Patching aeson.cabal (version 1.2.4.0)
Patching attoparsec.cabal (version 0.13.2.2)
Patching aws.cabal (version 0.19)
Patching binary-parsers.cabal (version 0.2.3.0)
Patching blaze-markup.cabal (version 0.8.2.1)
Patching bsb-http-chunked.cabal (version 0.0.0.2)
Patching cgi.cabal (version 3001.3.0.2)
Patching chell.cabal (version 0.4.0.2)
Patching conduit-extra.cabal (version 1.3.0)
Patching cryptohash-md5.cabal (version 0.11.100.1)
Patching cryptohash-sha1.cabal (version 0.11.100.1)
Patching cryptohash-sha256.cabal (version 0.11.101.0)
Patching cryptonite-conduit.cabal (version 0.2.2)
Patching darcs-monitor.cabal (version 0.4.2)
Patching darcs.cabal (version 2.14.0)
Patching ed25519.cabal (version 0.0.5.0)
Patching edit-distance.cabal (version 0.2.2.1)
Patching fdo-notify.cabal (version 0.3.1)
Patching fgl-arbitrary.cabal (version 0.2.0.3)
Patching fgl.cabal (version 5.6.0.0)
Patching genvalidity-property.cabal (version 0.1.0.0)
Patching github-backup.cabal (version 1.20170301)
Patching gitlib.cabal (version 3.1.2)
Patching hackage-security.cabal (version 0.5.3.0)
Patching haddock-library.cabal (version 1.4.5)
Patching happstack-authenticate.cabal (version 2.3.4.11)
Patching haxr.cabal (version 3000.11.2)
Patching hledger-lib.cabal (version 1.5.1)
Patching hledger.cabal (version 1.5)
Patching hothasktags.cabal (version 0.3.8)
Patching hslua.cabal (version 0.9.5.2)
Patching http2.cabal (version 1.6.3)
Patching io-streams.cabal (version 1.5.0.1)
Patching kan-extensions.cabal (version 5.1)
Patching lucid-svg.cabal (version 0.7.0.0)
Patching lzma.cabal (version 0.0.0.3)
Patching path.cabal (version 0.6.1)
Patching polynomial.cabal (version 0.7.3)
Patching postgresql-simple.cabal (version 0.5.4.0)
Patching publicsuffixlist.cabal (version 0.1)
Patching snap-core.cabal (version 1.0.3.2)
Patching snap-server.cabal (version 1.1.0.0)
Patching snap.cabal (version 1.1.1.0)
Patching taffybar.cabal (version 0.4.6)
Patching tar.cabal (version 0.5.1.0)
Patching tasty-golden.cabal (version 2.3.2)
Patching text-show.cabal (version 3.7.2)
Patching uuid-types.cabal (version 1.0.3)
Patching uuid.cabal (version 1.3.13)
Patching wai-app-file-cgi.cabal (version 3.1.4)
Patching websockets.cabal (version 0.12.5.1)
Patching werewolf.cabal (version 1.5.2.0)
Patching wl-pprint-extras.cabal (version 3.5.0.5)
Patching wl-pprint-terminfo.cabal (version 3.7.1.4)
Patching wl-pprint-text.cabal (version 1.2.0.0)
Patching xmlhtml.cabal (version 0.2.5.2)
Patching xmonad-contrib.cabal (version 0.13)
Patching xmonad-wallpaper.cabal (version 0.0.1.4)
Patching xmonad.cabal (version 0.13)
Writing 00-index.tar...
Creating fake global package db
Testing packages in 1 different groups
Running cabal-install (group default)...
983 packages successfully tested for co-installability.
60 packages carry Debian-specific patches.
203 packages have newer versions on hackage
2 error(s) in total.
'/chroots/chroot-run-sid.hn3Kzyxpr/tmp/testrun/stats.csv' -> 
'<https://jenkins.debian.net/job/haskell-package-plan/ws/stats.csv'>
Sat 11 Aug 16:28:31 UTC 2018 - /srv/jenkins/bin/chroot-run.sh stopped running 
as /tmp/jenkins-script-kr5c6Fge, which will now be removed.
Build step 'Execute shell' marked build as failure

_______________________________________________
Pkg-haskell-maintainers mailing list
Pkg-haskell-maintainers@alioth-lists.debian.net
https://alioth-lists.debian.net/cgi-bin/mailman/listinfo/pkg-haskell-maintainers

Reply via email to